<?php
$myText1 = "Życie jest jak pudełko czekoladek - nigdy nie wiesz, co ci się trafi.";
$myText2 = "Miej serce i patrzaj w serce.";

$len1 = mb_strlen($myText1);
$len2 = mb_strlen($myText2);

if ($len1 == $len2)
{
    print "Ciągi znaków mają tę samą długość.";
}
else
{
    print "Ciągi znaków nie mają tej samej długości.".PHP_EOL;
    print "Pierwszy ma długość $len1 znaków, a drugi ma długość $len2 znaków.";
}